Provider.Type (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.annotations

## Enum Provider.Type

- java.lang.Object
- - java.lang.Enum<Provider.Type>
  - - org.apache.cxf.annotations.Provider.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<Provider.Type>`
  Enclosing class:
    Provider

      public static enum Provider.Type
      extends Enum<Provider.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Feature` |
    `InFaultInterceptor` |
    `InInterceptor` |
    `OutFaultInterceptor` |
    `OutInterceptor` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Provider.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Provider.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### InInterceptor

          public static final Provider.Type InInterceptor

    - #### OutInterceptor

          public static final Provider.Type OutInterceptor

    - #### InFaultInterceptor

          public static final Provider.Type InFaultInterceptor

    - #### OutFaultInterceptor

          public static final Provider.Type OutFaultInterceptor

    - #### Feature

          public static final Provider.Type Feature

  - ### Method Detail

    - #### values

          public static Provider.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Provider.Type c : Provider.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Provider.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null